Bug 18290 - Fix t/db_dependent/Koha/Object.t, Mojo::JSON::Bool is a JSON::PP::Boolean :)
Summary: Fix t/db_dependent/Koha/Object.t, Mojo::JSON::Bool is a JSON::PP::Boolean :)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Olli-Antti Kivilahti
QA Contact: Tomás Cohen Arazi
URL:
Whiteboard:
Keywords:
Depends on: 17932 18137
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-17 06:20 UTC by Olli-Antti Kivilahti
Modified: 2017-10-27 11:51 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18290 - Fix t/db_dependent/Koha/Object.t, Mojo::JSON::Bool is a JSON::PP::Boolean :) (1.36 KB, patch)
2017-03-17 06:23 UTC, Olli-Antti Kivilahti
Details | Diff | Splinter Review
Bug 18290: Fix t/db_dependent/Koha/Object.t, Mojo::JSON::Bool is a JSON::PP::Boolean :) (1.57 KB, patch)
2017-08-22 19:45 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Olli-Antti Kivilahti 2017-03-17 06:20:13 UTC

    
Comment 1 Olli-Antti Kivilahti 2017-03-17 06:23:01 UTC
Created attachment 61195 [details] [review]
Bug 18290 - Fix t/db_dependent/Koha/Object.t, Mojo::JSON::Bool is a JSON::PP::Boolean :)

Mojolicious no longer returns Mojo::JSON::Bool-objects but JSON::PP instead.
Which might be pretty smart.
Comment 2 Olli-Antti Kivilahti 2017-03-17 06:23:33 UTC
The Mojolicious team tends to do a lot of smart things.
Comment 3 Jonathan Druart 2017-07-13 21:09:05 UTC
Tests pass for me, when will we need this patch?
Comment 4 Tomás Cohen Arazi 2017-08-22 19:15:39 UTC
(In reply to Jonathan Druart from comment #3)
> Tests pass for me, when will we need this patch?

With bug 18137 (or higher Mojolicious versions I suspect).
Comment 5 Tomás Cohen Arazi 2017-08-22 19:45:41 UTC
Created attachment 66370 [details] [review]
Bug 18290: Fix t/db_dependent/Koha/Object.t, Mojo::JSON::Bool is a JSON::PP::Boolean :)

Mojolicious 7.21 onwards, no longer returns Mojo::JSON::Bool-objects but JSON::PP instead.
Which might be pretty smart.

This version is required by bug 18137 and so this patch for the tests is
needed.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Tested along with 18137 and its dependencies (libs).
Comment 6 Tomás Cohen Arazi 2017-08-22 19:46:46 UTC
@RM: I think this tests fix can skip QA. Please revert to SO if you think another pair of eyes are needed.
Comment 7 Jonathan Druart 2017-09-21 15:50:04 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 8 Fridolin SOMERS 2017-10-27 11:51:38 UTC
Depends on Bug 18137 that is not in 17.05.x